Subject: bug#17234: 24.3.50; overlay priority : cons cells make an error in ediff

From: Stefan Monnier <[email-masked]>
Date: Fri, 11 Apr 2014 16:06:08 -0400

>> Any non-number value was treated as nil by the display engine, whereas
>> now some cons values are treated as something else.
> So even if your previous point was correct, it's still an incompatible
> change. A cons cell can no longer be used to mean "no explicit priority".

Indeed.  Tho as you said:

  I really doubt anyone was intentionally using anything else to mean "nil".

So I think we're safe on this side of the backward incompatibility.

> But I imagine ediff was not the only package trying to get the priority
> of an overlay and do something with the answer (however misguided you
> think that might be).

Hard to tell.  Not sure what we can do about it, tho.

        Stefan